#ifndef TARTALIAS_HH
#define TARTALIAS_HH

#include "TObject.h"
#include "TFitResult.h"
#include "TFitResultPtr.h"

class TVirtualPad;
class TH1;
class TH1D;
class TProfile;

//Read all TH1 object in file(filename) to current directory.
void fetch(char* filename);
//Write all TH1 object in current directory to file(filename)
void hstore(char* filename);

//show list of hist in current directory.
void ls();

//draw hist from idstart to idend
void ht(int idstart, int idend);
//draw hist by id.
void ht(int id);
//draw current hist.
void hc();
//draw next hist.
void hn();
//draw previous hist.
void hp();

//set xaxis of gPad to logscale
void lgx();
//set yaxis of gPad to logscale
void lgy();
//set zaxis of gPad to logscale
void lgz();
//unset lgx
void lnx();
//unset lgy
void lny();
//unset lgz
void lnz();
//do lgx, lgy, and lgz
void lg();
//do lnx, lny, and lnz
void ln();

//change size of canvas
void size(UInt_t ww, UInt_t wh);
//cd to subpadnumber(0 is assigned to root canvas)
void cd(Int_t subpadnumber = 0);
//cd to next subpad
void cdn();
//cd to previous subpad
void cdp();
//divide canvas(not gPad).
void zone(Int_t nx = 1, Int_t ny = 1, Float_t xmargin = 0.01, Float_t ymargin = 0.01, Int_t color = 0);

TFitResultPtr fit(const char* formula, Option_t* option = "", Option_t* goption = "", Double_t xmin = 0, Double_t xmax = 0);
TFitResultPtr fitp(int n = 1, Option_t* option = "", Option_t* goption = "", Double_t xmin = 0, Double_t xmax = 0);
TFitResultPtr fite(Option_t* option = "", Option_t* goption = "", Double_t xmin = 0,  Double_t xmax = 0);
TFitResultPtr fitg(Option_t* option = "", Option_t* goption = "", Double_t xmin = 0,  Double_t xmax = 0);
TFitResultPtr fitl(Option_t* option = "", Option_t* goption = "", Double_t xmin = 0,  Double_t xmax = 0);

//TProfile* pfx(Int_t firstybin = 1, Int_t lastybin = -1, Option_t* option = "");
//TProfile* pfy(Int_t firstxbin = 1, Int_t lastxbin = -1, Option_t* option = "");
//TH1D* prx(Int_t firstybin = 0, Int_t lastybin = -1, Option_t* option = "");
//TH1D* pry(Int_t firstxbin = 0, Int_t lastxbin = -1, Option_t* option = "");
TProfile* pfx();
TProfile* pfy();
TH1D* prx();
TH1D* pry();
TH1D* bnx(double firstx, double lastx, Option_t* option = "");
TH1D* bny(double firsty, double lasty, Option_t* option = "");

#endif
