#ifndef TARTSIMPLEFUNCTION_HH
#define TARTSIMPLEFUNCTION_HH

#include "TObject.h"

class TH1D;
class TProfile;
class TFitResult;
class TFitResultPtr;

class TArtSimpleFunction
{
public:
  static TFitResultPtr Fit(const char* formula, Option_t* option = "", Option_t* goption = "", Double_t xmin = 0, Double_t xmax = 0);
  static TFitResultPtr FitPolynomial(int n = 1, Option_t* option = "", Option_t* goption = "", Double_t xmin = 0, Double_t xmax = 0);
  static TFitResultPtr FitExponential(Option_t* option = "", Option_t* goption = "", Double_t xmin = 0,  Double_t xmax = 0);
  static TFitResultPtr FitGaussian(Option_t* option = "", Option_t* goption = "", Double_t xmin = 0,  Double_t xmax = 0);
  static TFitResultPtr FitLandau(Option_t* option = "", Option_t* goption = "", Double_t xmin = 0,  Double_t xmax = 0);

  static TProfile* ProfileX(Int_t firstybin = 1, Int_t lastybin = -1, Option_t* option = "");
  static TProfile* ProfileY(Int_t firstxbin = 1, Int_t lastxbin = -1, Option_t* option = "");
  static TH1D* ProjectionX(Int_t firstybin = 0, Int_t lastybin = -1, Option_t* option = "");
  static TH1D* ProjectionY(Int_t firstxbin = 0, Int_t lastxbin = -1, Option_t* option = "");
  static TH1D* BanY(double firsty, double lasty, Option_t* option = "");
  static TH1D* BanX(double firstx, double lastx, Option_t* option = "");
};

#endif
