
#include "TArtAlias.hh"
#include "TArtHistManager.hh"
#include "TArtCanvasManager.hh"
#include "TArtSimpleFunction.hh"

void fetch(char* filename){TArtHistManager::ReadHist(filename);}
void hstore(char* filename){TArtHistManager::WriteHist(filename);}

void ls(){TArtHistManager::PrintListOfHist();}

void ht(int idstart, int idend)
{for(int i = idstart; i <= idend; ++i){ht(i);cdn();}}
void ht(int id){TArtHistManager::DrawHist(id);}
void hc(){TArtHistManager::DrawCurrentHist();}
void hn(){TArtHistManager::DrawNextHist();}
void hp(){TArtHistManager::DrawPreviousHist();}

void lg(){lgx();lgy();lgz();}
void ln(){lnx();lny();lnz();}
void lgx(){TArtCanvasManager::SetLogx(1);}
void lgy(){TArtCanvasManager::SetLogy(1);}
void lgz(){TArtCanvasManager::SetLogz(1);}
void lnx(){TArtCanvasManager::SetLogx(0);}
void lny(){TArtCanvasManager::SetLogy(0);}
void lnz(){TArtCanvasManager::SetLogz(0);}

void size(UInt_t ww, UInt_t wh){TArtCanvasManager::SetWindowSize(ww, wh);}
void cd(Int_t subpadnumber){TArtCanvasManager::cd(subpadnumber);}
void cdn(){TArtCanvasManager::cdnext();}
void cdp(){TArtCanvasManager::cdprev();}
void zone(Int_t nx, Int_t ny, Float_t xmargin, Float_t ymargin, Int_t color)
{TArtCanvasManager::Divide(nx, ny, xmargin, ymargin, color);}

TFitResultPtr fit(const char* formula, Option_t* option, Option_t* goption, Double_t xmin, Double_t xmax){return TArtSimpleFunction::Fit(formula, option, goption, xmin, xmax);}
TFitResultPtr fitp(int n, Option_t* option, Option_t* goption, Double_t xmin, Double_t xmax){return TArtSimpleFunction::FitPolynomial(n, option, goption, xmin, xmax);}
TFitResultPtr fite(Option_t* option, Option_t* goption, Double_t xmin,  Double_t xmax){return TArtSimpleFunction::FitExponential(option, goption, xmin, xmax);}
TFitResultPtr fitg(Option_t* option, Option_t* goption, Double_t xmin,  Double_t xmax){return TArtSimpleFunction::FitGaussian(option, goption, xmin, xmax);}
TFitResultPtr fitl(Option_t* option, Option_t* goption, Double_t xmin,  Double_t xmax){return TArtSimpleFunction::FitLandau(option, goption, xmin, xmax);}

//TProfile* pfx(Int_t firstybin, Int_t lastybin, Option_t* option){return TArtSimpleFunction::ProfileX(firstybin, lastybin, option);}
//TProfile* pfy(Int_t firstxbin, Int_t lastxbin, Option_t* option){return TArtSimpleFunction::ProfileY(firstxbin, lastxbin, option);}
//TH1D* prx(Int_t firstybin, Int_t lastybin, Option_t* option){return TArtSimpleFunction::ProjectionX(firstybin, lastybin, option);}
//TH1D* pry(Int_t firstxbin, Int_t lastxbin, Option_t* option){return TArtSimpleFunction::ProjectionY(firstxbin, lastxbin, option);}
TProfile* pfx(){return TArtSimpleFunction::ProfileX();}
TProfile* pfy(){return TArtSimpleFunction::ProfileY();}
TH1D* prx(){return TArtSimpleFunction::ProjectionX();}
TH1D* pry(){return TArtSimpleFunction::ProjectionY();}
TH1D* bnx(double firstx, double lastx, Option_t* option){return TArtSimpleFunction::BanX(firstx, lastx, option);}
TH1D* bny(double firsty, double lasty, Option_t* option){return TArtSimpleFunction::BanY(firsty, lasty, option);}
